diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/AUTHORS ns-3.46/AUTHORS
--- ns-3.45/AUTHORS	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/AUTHORS	2025-10-01 18:46:32.000000000 -0700
@@ -74,6 +74,7 @@
 Luca Costantino (luca.costantino@gmail.com)
 Matthieu Coudron (matthieu.coudron@lip6.fr)
 Michael R. Davis (mrdvt92@yahoo.com)
+@DavisRobertson1 at GitLab.com
 Alexander D'souza (moijes12@gmail.com)
 Ankit Deepak (adadeepak8@gmail.com)
 Christophe Delahaye (christophe.delahaye@orange.com)
@@ -156,6 +157,7 @@
 Raghuram Kannan (raghuramkannan40@gmail.com)
 Vignesh Kannan (vignesh2496@gmail.com)
 Nihar Kapasi (niharkkapasi@gmail.com)
+Arnav Kapoor (kapoorarnav43@gmail.com)
 Ouassim Karrakchou (okarr102@uottawa.ca)
 Tanmay Kathpalia (tanmay.kathpalia@landisgyr.com)
 Konstantinos Katsaros (dinos.katsaros@gmail.com)
@@ -185,6 +187,7 @@
 Sandra Lagen (sandra.lagen@cttc.es)
 Emmanuelle Laprise (emmmanuelle.laprise@bluekazoo.ca)
 Harsh Lara (harshapplefan@gmail.com)
+Hugo Le Dirach (hugo.le_dirach@onera.fr)
 Mattia Lecci (mattia.lecci@gmail.com)
 Ben Lee (limjcst@163.com)
 Robin Lee (xinyashuai1987@163.com)
@@ -241,6 +244,7 @@
 Michael Nowatkowski (nowatkom@gmail.com)
 Anh Nguyen (annguyen@ittc.ku.edu)
 Duy Nguyen (duy@soe.ucsc.edu)
+Ryo Okuda (c611901200@tokushima-u.ac.jp)
 Alfonso Oliveira (af.oliveira.16@gmail.com)
 Wouter Overmeire (lodagro@gmail.com)
 Luis Pacheco (luisbelem@gmail.com)
@@ -262,6 +266,7 @@
 Eduardo Pinto (epmcj@hotmail.com)
 Giuseppe Piro (g.piro@poliba.it)
 Randall Plate (rplate@spawar.navy.mil)
+Max Plekh (mplekh@gmail.com)
 Yana Podkosova (yanapdk@rambler.ru)
 Michele Polese (michele.polese@gmail.com)
 Ovidiu Poncea (ovidiu.poncea@cs.pub.ro)
@@ -273,6 +278,7 @@
 Alberto Gallegos Ramonet (alramonet@is.tokushima-u.ac.jp)
 Manoj Kumar Rana (manoj24.rana@gmail.com)
 Andrea Ranieri (andreran@uno.it)
+Ashish Reddy (ashishajr@gmail.com)
 Bruno Ranieri (Yrrsinn@googlemail.com)
 Deepti Rajagopal (deeptir96@gmail.com)
 Satyarth Ratnani (satyarthratnani@gmail.com)
@@ -379,4 +385,3 @@
 Parth Pratim (GCI 2018)
 ra1nst0rm3d (GCI 2019)
 SaiMyGuy (GCI 2019)
-Ryo Okuda (c611901200@tokushima-u.ac.jp)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/bindings/python/ns__init__.py ns-3.46/bindings/python/ns__init__.py
--- ns-3.45/bindings/python/ns__init__.py	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/bindings/python/ns__init__.py	2025-10-01 18:46:32.000000000 -0700
@@ -8,6 +8,14 @@
 
 DEFAULT_INCLUDE_DIR = sysconfig.get_config_var("INCLUDEDIR")
 DEFAULT_LIB_DIR = sysconfig.get_config_var("LIBDIR")
+BUILD_TYPES = (
+    "debug",
+    "default",
+    "optimized",
+    "release",
+    "relwithdebinfo",
+    "minsizerel",
+)
 
 
 def find_ns3_lock() -> str:
@@ -169,7 +177,7 @@
     try:
         with open(os.path.abspath(library_path), "rb") as f:
             linked_libs = re.findall(
-                b"\x00(lib.*?.%b)" % LIBRARY_EXTENSION.encode("utf-8"), f.read()
+                b"\x00(lib[^\\x00]*?\\.%b)(?![\\w.])" % LIBRARY_EXTENSION.encode("utf-8"), f.read()
             )
     except Exception as e:
         print(f"Failed to extract libraries used by {library_path} with exception:{e}")
@@ -313,14 +321,7 @@
         components.pop(0)
 
     # Drop build profile suffix and test libraries
-    if components[-1] in [
-        "debug",
-        "default",
-        "optimized",
-        "release",
-        "relwithdebinfo",
-        "minsizerel",
-    ]:
+    if components[-1] in BUILD_TYPES:
         components.pop(-1)
     return "-".join(components)
 
@@ -521,12 +522,22 @@
                 if os.path.isdir(linked_lib_include_dir):
                     cppyy.add_include_path(linked_lib_include_dir)
 
-    for module in modules:
-        cppyy.include(f"ns3/{module}-module.h")
+    # Get build type
+    build_type = ""  # release
+    for type in BUILD_TYPES:
+        if type in libraries_to_load[-1]:
+            build_type = type
 
-    # After including all headers, we finally load the modules
+    # Load a module, then its module header
     for library in libraries_to_load:
         cppyy.load_library(library)
+        for module in modules:
+            library_name_from_module = (
+                f"{version}-{module}{'-' if len(build_type)>0 else ''}{build_type}."
+            )
+            if library_name_from_module in library:
+                cppyy.include(f"ns3/{module}-module.h")
+                break
 
     # We expose cppyy to consumers of this module as ns.cppyy
     setattr(cppyy.gbl.ns3, "cppyy", cppyy)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/core-config-template.h ns-3.46/build-support/core-config-template.h
--- ns-3.45/build-support/core-config-template.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/core-config-template.h	2025-10-01 18:46:32.000000000 -0700
@@ -6,13 +6,9 @@
 #cmakedefine INT64X64_USE_128
 #cmakedefine INT64X64_USE_DOUBLE
 #cmakedefine INT64X64_USE_CAIRO
-#cmakedefine01 HAVE_STDINT_H
-#cmakedefine01 HAVE_INTTYPES_H
-#cmakedefine HAVE_SYS_INT_TYPES_H
 #cmakedefine01 HAVE_SYS_TYPES_H
 #cmakedefine01 HAVE_SYS_STAT_H
 #cmakedefine01 HAVE_DIRENT_H
-#cmakedefine01 HAVE_STDLIB_H
 #cmakedefine01 HAVE_GETENV
 #cmakedefine01 HAVE_SIGNAL_H
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/custom-modules/ns3-check-dependencies.cmake ns-3.46/build-support/custom-modules/ns3-check-dependencies.cmake
--- ns-3.45/build-support/custom-modules/ns3-check-dependencies.cmake	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/custom-modules/ns3-check-dependencies.cmake	2025-10-01 18:46:32.000000000 -0700
@@ -40,6 +40,27 @@
     )
     if(NOT (${return_code} EQUAL 0))
       list(APPEND local_missing_deps ${package})
+    else()
+      # To make sure CMake import files can be found from venv site packages, we
+      # manually add them to CMAKE_PREFIX_PATH
+      execute_process(
+        COMMAND
+          ${Python3_EXECUTABLE} -c
+          "import os; import ${package}; print(os.path.abspath(os.path.dirname(${package}.__file__)))"
+        OUTPUT_VARIABLE venv_site_packages_path
+      )
+      # Remove newlines (\n, \r, \r\n)
+      string(REGEX REPLACE "[\r\n]+$" "" venv_site_packages_path
+                           "${venv_site_packages_path}"
+      )
+      if(EXISTS ${venv_site_packages_path})
+        if(NOT (DEFINED CMAKE_PREFIX_PATH))
+          set(CMAKE_PREFIX_PATH "" PARENT_SCOPE)
+        endif()
+        set(CMAKE_PREFIX_PATH "${CMAKE_PREFIX_PATH};${venv_site_packages_path}"
+            PARENT_SCOPE
+        )
+      endif()
     endif()
   endforeach()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/custom-modules/ns3-compiler-workarounds.cmake ns-3.46/build-support/custom-modules/ns3-compiler-workarounds.cmake
--- ns-3.45/build-support/custom-modules/ns3-compiler-workarounds.cmake	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/custom-modules/ns3-compiler-workarounds.cmake	2025-10-01 18:46:32.000000000 -0700
@@ -3,3 +3,101 @@
 # SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
+
+include(CheckCXXSourceCompiles)
+
+# Some versions of clang (17) have issues with stdlibc++, so we check if we can
+# fallback to libc++ instead
+if(CLANG)
+  try_compile(
+    CLANG_STDLIBCPP_WORKS
+    SOURCES ${PROJECT_SOURCE_DIR}/build-support/test-clang17-stdlibcpp-map.cc
+    COMPILE_DEFINITIONS -stdlib=libstdc++
+    LINK_OPTIONS -stdlib=libstdc++
+    CXX_STANDARD 23
+    CXX_STANDARD_REQUIRED TRUE
+    CXX_EXTENSIONS FALSE
+  )
+
+  try_compile(
+    CLANG_LIBCPP_WORKS
+    SOURCES ${PROJECT_SOURCE_DIR}/build-support/test-clang17-stdlibcpp-map.cc
+    COMPILE_DEFINITIONS -stdlib=libc++
+    LINK_OPTIONS -stdlib=libc++
+    CXX_STANDARD 23
+    CXX_STANDARD_REQUIRED TRUE
+    CXX_EXTENSIONS FALSE
+  )
+  if((NOT ${CLANG_STDLIBCPP_WORKS}) AND (NOT ${CLANG_LIBCPP_WORKS}))
+    message(
+      FATAL_ERROR
+        "This clang version ${CMAKE_CXX_COMPILER_VERSION} is not compatible with using std::tuple as std::map keys"
+    )
+  elseif(${CLANG_STDLIBCPP_WORKS})
+    message(
+      STATUS
+        "This clang version ${CMAKE_CXX_COMPILER_VERSION} is compatible with using std::tuple as std::map keys"
+    )
+  else()
+    message(
+      ${HIGHLIGHTED_STATUS}
+      "This clang version ${CMAKE_CXX_COMPILER_VERSION} requires libc++ to use std::tuple as std::map keys"
+    )
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
+  endif()
+endif()
+
+# Some compilers (e.g. GCC <= 15) do not link std::stacktrace by default. If the
+# sample program can be linked, it means it is indeed linked by default.
+# Otherwise, we link it manually.
+# https://en.cppreference.com/w/cpp/header/stacktrace
+set(CMAKE_REQUIRED_FLAGS ${CMAKE_CXX_FLAGS} -std=c++23)
+check_cxx_source_compiles(
+  "
+  #if __has_include(<stacktrace>)
+  int main()
+  {
+    return 0;
+  }
+  #endif
+  "
+  STACKTRACE_LIBRARY_ENABLED
+)
+mark_as_advanced(stacktrace_flags)
+set(stacktrace_flags "" CACHE INTERNAL "")
+if(STACKTRACE_LIBRARY_ENABLED)
+  if(GCC)
+    if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "12.0.0")
+      # GCC does not support stacktracing
+    elseif(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "14.0.0")
+      set(stacktrace_flags -lstdc++_libbacktrace CACHE INTERNAL "")
+    else()
+      set(stacktrace_flags -lstdc++exp CACHE INTERNAL "")
+    endif()
+  elseif(CLANG AND (NOT ("${CMAKE_CXX_SIMULATE_ID}" MATCHES "MSVC")))
+    set(stacktrace_flags -lstdc++_libbacktrace CACHE INTERNAL "")
+  else()
+    # Most likely MSVC, which does not need custom flags for this
+  endif()
+  set(CMAKE_REQUIRED_LIBRARIES ${stacktrace_flags})
+  string(REPLACE ";" " " CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS}")
+  check_cxx_source_compiles(
+    "
+    #include <iostream>
+    #include <stacktrace>
+
+    int main()
+    {
+      std::cout << std::stacktrace::current() << std::endl;
+      return 0;
+    }
+    "
+    STACKTRACE_LIBRARY_IS_LINKED
+  )
+
+  if(STACKTRACE_LIBRARY_IS_LINKED)
+    add_definitions(-DSTACKTRACE_LIBRARY_IS_LINKED=1)
+  else()
+    set(stacktrace_flags "" CACHE INTERNAL "")
+  endif()
+endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/custom-modules/ns3-configtable.cmake ns-3.46/build-support/custom-modules/ns3-configtable.cmake
--- ns-3.45/build-support/custom-modules/ns3-configtable.cmake	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/custom-modules/ns3-configtable.cmake	2025-10-01 18:46:32.000000000 -0700
@@ -44,7 +44,7 @@
 # sixlowpan                 spectrum                  stats
 # tap-bridge                test (no Python)          topology-read
 # traffic-control           uan                       virtual-net-device
-# wave                      wifi                      wimax
+# wave                      wifi
 #
 # Modules not built (see ns-3 tutorial for explanation):
 # brite                     click                     dpdk-net-device
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/custom-modules/ns3-find-external-library.cmake ns-3.46/build-support/custom-modules/ns3-find-external-library.cmake
--- ns-3.45/build-support/custom-modules/ns3-find-external-library.cmake	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/custom-modules/ns3-find-external-library.cmake	2025-10-01 18:46:32.000000000 -0700
@@ -162,22 +162,6 @@
         # cmake-format: on
     # Or enable NS3_VERBOSE to print the searched paths
 
-    # Print tested paths to the searched library and if it was found
-    if(${NS3_VERBOSE} AND (${CMAKE_VERSION} VERSION_LESS "3.17.0"))
-      log_find_searched_paths(
-        TARGET_TYPE
-        Library
-        TARGET_NAME
-        ${library}
-        SEARCH_RESULT
-        ${name}_library_internal_${library}
-        SEARCH_PATHS
-        ${library_search_paths}
-        SEARCH_SUFFIXES
-        ${suffixes}
-      )
-    endif()
-
     # After searching the library, the internal variable should have either the
     # absolute path to the library or the name of the variable appended with
     # -NOTFOUND
@@ -260,22 +244,6 @@
               PATH_SUFFIXES ${suffixes}
     )
 
-    # Print tested paths to the searched header and if it was found
-    if(${NS3_VERBOSE} AND (${CMAKE_VERSION} VERSION_LESS "3.17.0"))
-      log_find_searched_paths(
-        TARGET_TYPE
-        Header
-        TARGET_NAME
-        ${header}
-        SEARCH_RESULT
-        ${name}_header_internal_${header}
-        SEARCH_PATHS
-        ${header_search_paths}
-        SEARCH_SUFFIXES
-        ${suffixes}
-      )
-    endif()
-
     # If the header file was not found, append to the not-found list
     if("${${name}_header_internal_${header}}" STREQUAL
        "${name}_header_internal_${header}-NOTFOUND"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/custom-modules/ns3-module-macros.cmake ns-3.46/build-support/custom-modules/ns3-module-macros.cmake
--- ns-3.45/build-support/custom-modules/ns3-module-macros.cmake	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/custom-modules/ns3-module-macros.cmake	2025-10-01 18:46:32.000000000 -0700
@@ -288,8 +288,8 @@
 function(build_lib_reexport_third_party_libraries libname libraries_to_link)
   # Separate ns-3 and non-ns-3 libraries to manage their propagation properly
   separate_ns3_from_non_ns3_libs(
-    "${libname}" "${libraries_to_link}" ns_libraries_to_link
-    non_ns_libraries_to_link
+    "${libname}" "${libraries_to_link};${stacktrace_flags}"
+    ns_libraries_to_link non_ns_libraries_to_link
   )
 
   set(ns3-external-libs "${non_ns_libraries_to_link};${ns3-external-libs}"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/custom-modules/ns3-platform-support.cmake ns-3.46/build-support/custom-modules/ns3-platform-support.cmake
--- ns-3.45/build-support/custom-modules/ns3-platform-support.cmake	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/custom-modules/ns3-platform-support.cmake	2025-10-01 18:46:32.000000000 -0700
@@ -111,7 +111,11 @@
     _CRT_SECURE_NO_WARNINGS NS_MSVC NOMINMAX
   )
 
-  # Allow unresolved symbols as in most cases they are simply in other ns-3
-  # libraries
-  add_link_options("/FORCE:UNRESOLVED")
+  # Disable inlining (trust me, it is either that or moving every single inlined
+  # code to .cc)
+  add_compile_options(/Ob0)
+
+  # Prevent linker from eliminating unused functions and increase stack size to
+  # 8MB to match Linux
+  add_link_options(/OPT:NOREF /STACK:8388608)
 endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/macros-and-definitions.cmake ns-3.46/build-support/macros-and-definitions.cmake
--- ns-3.45/build-support/macros-and-definitions.cmake	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/build-support/macros-and-definitions.cmake	2025-10-01 18:46:32.000000000 -0700
@@ -54,13 +54,12 @@
 
 # Set compiler options and get command to force unused function linkage (useful
 # for libraries)
-set(CXX_UNSUPPORTED_STANDARDS 98 11 14 17)
-set(CMAKE_CXX_STANDARD_MINIMUM 20)
+set(CXX_UNSUPPORTED_STANDARDS 98 11 14 17 20)
+set(CMAKE_CXX_STANDARD_MINIMUM 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
 # Include CMake files used for compiler checks
-include(CheckIncludeFile) # Used to check a single C header at a time
 include(CheckIncludeFileCXX) # Used to check a single C++ header at a time
 include(CheckIncludeFiles) # Used to check multiple headers at once
 include(CheckFunctionExists)
@@ -259,13 +258,21 @@
 
   if(${NS3_CLANG_TIDY})
     find_program(
-      CLANG_TIDY NAMES clang-tidy clang-tidy-15 clang-tidy-16 clang-tidy-17
-                       clang-tidy-18 clang-tidy-19
+      CLANG_TIDY
+      NAMES clang-tidy
+            clang-tidy-15
+            clang-tidy-16
+            clang-tidy-17
+            clang-tidy-18
+            clang-tidy-19
+            clang-tidy-20
     )
     if("${CLANG_TIDY}" STREQUAL "CLANG_TIDY-NOTFOUND")
       message(FATAL_ERROR "Clang-tidy was not found")
     else()
-      set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY}")
+      set(CMAKE_CXX_CLANG_TIDY ${CLANG_TIDY}
+                               -config-file=${CMAKE_SOURCE_DIR}/.clang-tidy
+      ) # --fix)
     endif()
   else()
     unset(CMAKE_CXX_CLANG_TIDY)
@@ -529,14 +536,7 @@
 
   set(ENABLE_SQLITE False)
   if(${NS3_SQLITE})
-    # find_package(SQLite3 QUIET) # unsupported in CMake 3.10 We emulate the
-    # behavior of find_package below
-    find_external_library(
-      DEPENDENCY_NAME SQLite3
-      HEADER_NAME sqlite3.h
-      LIBRARY_NAME sqlite3
-      OUTPUT_VARIABLE "ENABLE_SQLITE_REASON"
-    )
+    find_package(SQLite3 QUIET)
 
     if(${SQLite3_FOUND})
       set(ENABLE_SQLITE True)
@@ -634,16 +634,11 @@
   set(Python3_FOUND FALSE)
   set(Python3_INCLUDE_DIRS)
   set(Python3_Interpreter_FOUND FALSE)
+  set(Python3_FIND_VIRTUALENV FIRST)
   if(${NS3_PYTHON_BINDINGS})
     find_package(Python3 COMPONENTS Interpreter Development)
   else()
-    # If Python was not set yet, use the version found by check_deps
-    check_deps(python3_deps EXECUTABLES python3)
-    if(python3_deps)
-      message(FATAL_ERROR "Python3 was not found")
-    else()
-      set(Python3_EXECUTABLE ${PYTHON3})
-    endif()
+    find_package(Python3 COMPONENTS Interpreter)
   endif()
 
   # Check if both Python interpreter and development libraries were found
@@ -1074,20 +1069,18 @@
   # Process core-config If INT128 is not found, fallback to CAIRO
   if(${NS3_INT64X64} MATCHES "INT128")
     check_cxx_source_compiles(
-      "#include <stdint.h>
+      "#include <cstdint>
        int main()
          {
-            if ((uint128_t *) 0) return 0;
             if (sizeof (uint128_t)) return 0;
             return 1;
          }"
       HAVE_UINT128_T
     )
     check_cxx_source_compiles(
-      "#include <stdint.h>
+      "#include <cstdint>
        int main()
          {
-           if ((__uint128_t *) 0) return 0;
            if (sizeof (__uint128_t)) return 0;
            return 1;
         }"
@@ -1129,14 +1122,11 @@
 
   # Check for required headers and functions, set flags if they're found or warn
   # if they're not found
-  check_include_file("stdint.h" "HAVE_STDINT_H")
-  check_include_file("inttypes.h" "HAVE_INTTYPES_H")
-  check_include_file("sys/types.h" "HAVE_SYS_TYPES_H")
-  check_include_file("sys/stat.h" "HAVE_SYS_STAT_H")
-  check_include_file("dirent.h" "HAVE_DIRENT_H")
-  check_include_file("stdlib.h" "HAVE_STDLIB_H")
-  check_include_file("signal.h" "HAVE_SIGNAL_H")
-  check_include_file("netpacket/packet.h" "HAVE_PACKETH")
+  check_include_file_cxx("sys/types.h" "HAVE_SYS_TYPES_H")
+  check_include_file_cxx("sys/stat.h" "HAVE_SYS_STAT_H")
+  check_include_file_cxx("dirent.h" "HAVE_DIRENT_H")
+  check_include_file_cxx("signal.h" "HAVE_SIGNAL_H")
+  check_include_file_cxx("netpacket/packet.h" "HAVE_PACKETH")
   check_function_exists("getenv" "HAVE_GETENV")
 
   configure_file(
@@ -1177,6 +1167,15 @@
     set(ENABLE_TAP OFF)
     set(ENABLE_EMU OFF)
     set(ENABLE_FDNETDEV FALSE)
+    mark_as_advanced(
+      ENABLE_FDNETDEV ENABLE_DPDKDEVNET ENABLE_TAPNETDEV ENABLE_EMUNETDEV
+      ENABLE_NETMAP_EMU
+    )
+    set(ENABLE_FDNETDEV False CACHE INTERNAL "")
+    set(ENABLE_DPDKDEVNET False CACHE INTERNAL "")
+    set(ENABLE_TAPNETDEV False CACHE INTERNAL "")
+    set(ENABLE_EMUNETDEV False CACHE INTERNAL "")
+    set(ENABLE_NETMAP_EMU False CACHE INTERNAL "")
     list(REMOVE_ITEM libs_to_build fd-net-device)
     message(
       STATUS
@@ -1225,7 +1224,7 @@
         ${HIGHLIGHTED_STATUS}
         "Clang-tidy is incompatible with precompiled headers. Continuing without them."
       )
-    elseif(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.16.0")
+    else()
       # If ccache is not enable or was not found, we can continue with
       # precompiled headers
       if((NOT ${NS3_CCACHE}) OR ("${CCACHE}" STREQUAL "CCACHE-NOTFOUND"))
@@ -1255,11 +1254,6 @@
           )
         endif()
       endif()
-    else()
-      message(
-        STATUS
-          "CMake ${CMAKE_VERSION} does not support precompiled headers. Continuing without them"
-      )
     endif()
   endif()
 
@@ -1287,13 +1281,13 @@
         <limits>
         <list>
         <map>
-        <math.h>
+        <cmath>
         <ostream>
         <queue>
         <set>
         <sstream>
-        <stdint.h>
-        <stdlib.h>
+        <cstdint>
+        <cstdlib>
         <string>
         <tuple>
         <typeinfo>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/.ns3rc-template ns-3.46/build-support/.ns3rc-template
--- ns-3.45/build-support/.ns3rc-template	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.46/build-support/.ns3rc-template	2025-10-01 18:46:32.000000000 -0700
@@ -0,0 +1,21 @@
+# A list of the modules that will be enabled when ns-3 is run.
+# Modules that depend on the listed modules will be enabled also.
+#
+# All modules can be enabled by emptying the list.
+set(ns3rc_enabled_modules @ns3rc_enabled_modules@)
+
+# A list of the modules that will be disabled when ns-3 is run.
+# Modules that depend on the listed modules will be disabled also.
+#
+# If the list is empty, no module will be disabled.
+set(ns3rc_disabled_modules @ns3rc_disabled_modules@)
+
+# Set this equal to ON if you want examples to be run.
+set(ns3rc_examples_enabled @ns3rc_examples_enabled@)
+
+# Set this equal to ON if you want tests to be run.
+set(ns3rc_tests_enabled @ns3rc_tests_enabled@)
+
+# Override other ns-3 settings by setting their values below
+# Note: command-line settings will also be overridden.
+#set(NS3_LOG ON)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/build-support/test-clang17-stdlibcpp-map.cc ns-3.46/build-support/test-clang17-stdlibcpp-map.cc
--- ns-3.45/build-support/test-clang17-stdlibcpp-map.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.46/build-support/test-clang17-stdlibcpp-map.cc	2025-10-01 18:46:32.000000000 -0700
@@ -0,0 +1,12 @@
+#include <iostream>
+#include <map>
+#include <tuple>
+
+int
+main()
+{
+    std::map<std::tuple<int, int>, int> testMap;
+    testMap[{1, 1}] = 2;
+    std::cout << testMap.at({1, 1}) << std::endl;
+    return 0;
+}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/.clang-format ns-3.46/.clang-format
--- ns-3.45/.clang-format	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/.clang-format	2025-10-01 18:46:32.000000000 -0700
@@ -4,12 +4,11 @@
 
 AllowAllArgumentsOnNextLine: false
 AllowAllParametersOfDeclarationOnNextLine: false
-AlwaysBreakAfterReturnType: TopLevelDefinitions
-AlwaysBreakTemplateDeclarations: Yes
 BinPackArguments: false
 BinPackParameters: false
+BreakAfterReturnType: TopLevelDefinitions
+BreakTemplateDeclarations: Yes
 ColumnLimit: 100
-DeriveLineEnding: false
 IncludeBlocks: Regroup
 IncludeCategories:
   - Regex: '^(<|")ns3/'
@@ -22,7 +21,12 @@
     Priority: 1
     SortPriority: 0
 InsertBraces: true
-KeepEmptyLinesAtTheStartOfBlocks: false
+InsertNewlineAtEOF: true
+KeepEmptyLines:
+  AtEndOfFile: false
+  AtStartOfBlock: false
+  AtStartOfFile: false
+LineEnding: LF
 PackConstructorInitializers: Never
 PointerAlignment: Left
 QualifierAlignment: Left
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/CMakeLists.txt ns-3.46/CMakeLists.txt
--- ns-3.45/CMakeLists.txt	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/CMakeLists.txt	2025-10-01 18:46:32.000000000 -0700
@@ -1,19 +1,19 @@
 # ##############################################################################
 # Required CMake version            #
 # ##############################################################################
-cmake_minimum_required(VERSION 3.13..3.13)
+cmake_minimum_required(VERSION 3.20..3.20)
 
 # ##############################################################################
 # Project name                        #
 # ##############################################################################
-project(NS3 CXX C)
+project(NS3 CXX)
 
 file(STRINGS VERSION NS3_VER)
 
 # minimum compiler versions
-set(AppleClang_MinVersion 13.1.6)
-set(Clang_MinVersion 11.0.0)
-set(GNU_MinVersion 10.1.0)
+set(AppleClang_MinVersion 15.0.0)
+set(Clang_MinVersion 17.0.0)
+set(GNU_MinVersion 11.0.0)
 
 # common options
 option(NS3_ASSERT "Enable assert on failure" OFF)
@@ -101,7 +101,7 @@
     CACHE STRING "List of modules to enable (e.g. core;network;internet)"
 )
 set(NS3_DISABLED_MODULES "" CACHE STRING
-                                  "List of modules to disable (e.g. lte;wimax)"
+                                  "List of modules to disable (e.g. lte;wifi)"
 )
 
 # Filter in the modules from which examples and tests will be built
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/doc/contributing/Makefile ns-3.46/doc/contributing/Makefile
--- ns-3.45/doc/contributing/Makefile	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/doc/contributing/Makefile	2025-10-01 18:46:32.000000000 -0700
@@ -1,23 +1,11 @@
 # Makefile for Sphinx documentation
 #
-EPSTOPDF = epstopdf
-DIA = dia
-CONVERT = convert -density 300
-
-# You can set these variables from the command line.
-SPHINXOPTS    = -W --keep-going
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
+include $(CURDIR)/../sphinx/defines.mk
 
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
 # Additional variables for figures, not sphinx default:
-DIA = dia
-EPSTOPDF = epstopdf
 FIGURES = source/figures
 IMAGES_EPS = \
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/doc/doxygen.conf ns-3.46/doc/doxygen.conf
--- ns-3.45/doc/doxygen.conf	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/doc/doxygen.conf	2025-10-01 18:46:32.000000000 -0700
@@ -2299,12 +2299,10 @@
                          ATTRIBUTE_VALUE_IMPLEMENT_WITH_NAME \
                          NS_UNUSED_GLOBAL \
                          NS_DEPRECATED \
+                         NS_DEPRECATED_3_46 \
                          NS_DEPRECATED_3_45 \
                          NS_DEPRECATED_3_44 \
-                         NS_DEPRECATED_3_43 \
-                         NS_DEPRECATED_3_42 \
-                         NS_DEPRECATED_3_41 \
-                         NS_DEPRECATED_3_40
+                         NS_DEPRECATED_3_43
 
 # If the SKIP_FUNCTION_MACROS tag is set to YES then doxygen's preprocessor will
 # remove all references to function-like macros that are alone on a line, have
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/doc/installation/Makefile ns-3.46/doc/installation/Makefile
--- ns-3.45/doc/installation/Makefile	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/doc/installation/Makefile	2025-10-01 18:46:32.000000000 -0700
@@ -1,23 +1,11 @@
 # Makefile for Sphinx documentation
 #
-EPSTOPDF = epstopdf
-DIA = dia
-CONVERT = convert -density 300
-
-# You can set these variables from the command line.
-SPHINXOPTS    = -W --keep-going
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
+include $(CURDIR)/../sphinx/defines.mk
 
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
 # Additional variables for figures, not sphinx default:
-DIA = dia
-EPSTOPDF = epstopdf
 FIGURES = source/figures
 IMAGES_EPS = \
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/doc/manual/Makefile ns-3.46/doc/manual/Makefile
--- ns-3.45/doc/manual/Makefile	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/doc/manual/Makefile	2025-10-01 18:46:32.000000000 -0700
@@ -1,6 +1,4 @@
-EPSTOPDF = epstopdf
-DIA = dia
-CONVERT = convert -density 300
+include $(CURDIR)/../sphinx/defines.mk
 
 SRC = ../../src
 # Temporary source directory, for build
@@ -45,6 +43,7 @@
 	source/tracing.rst \
 	source/troubleshoot.rst \
 	source/utilities.rst \
+	source/working-with-cilicon.rst \
 	source/working-with-cmake.rst \
 	source/working-with-docker.rst \
 	source/working-with-git.rst \
@@ -64,7 +63,8 @@
 # documentation formats (html, latex...) the following formats are supported:
 #  1) a single .dia file (preferred option, because it can be edited)
 #  2) a single .eps file
-#  3) both a .pdf and .png file
+#  3) a single .png file
+#  4) both a .pdf and .png file
 
 SOURCEFIGS = \
     figures/software-organization.dia \
@@ -139,15 +139,7 @@
 	@$(EPSTOPDF) $< -o=$@ >/dev/null
 	@if test x$($@_width) != x; then $(RESCALE) $($@_width) $@ ; fi
 
-# You can set these variables from the command line.
-SPHINXOPTS    = -W --keep-going
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
-
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCETEMP)
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
